Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.query
Interface Row

All Known Implementing Classes:
  RowMap

    public interface Row

Provides a format-neutral way of obtaining a row's value. If you requested the extended format (see SelectRowsCommand.setExtendedFormat()), you may also get the display value (if different), the url, the missing value indicator, and the missing value raw value. Note that all of these may return null if the column does not have a url, is not missing-value enabled, or does not have a different display value from its raw value.

Method Summary
`java.lang.Object` | `getDisplayValue(java.lang.String columnName)` Returns a column's display value (if different from value).
`java.lang.Object` | `getMvRawValue(java.lang.String columnName)` Returns the column's missing-value raw value.
`java.lang.String` | `getMvValue(java.lang.String columName)` Returns a column's missing-value indicator.
`java.lang.String` | `getUrl(java.lang.String columnName)` Returns a column's URL
`java.lang.Object` | `getValue(java.lang.String columnName)` Returns a column's raw value.

Method Detail

### getValue

    java.lang.Object getValue(java.lang.String columnName)

  Returns a column's raw value.

  Parameters:
    `columnName` - The column name.
  Returns:
    The column's raw value or null if the column was not found.

### getDisplayValue

    java.lang.Object getDisplayValue(java.lang.String columnName)

  Returns a column's display value (if different from value).

  Parameters:
    `columnName` - The column name.
  Returns:
    The display value, or null if the column was not found or does not have a different display value.

### getUrl

    java.lang.String getUrl(java.lang.String columnName)

  Returns a column's URL

  Parameters:
    `columnName` - The column name.
  Returns:
    The column's URL value, or null if the column was not found or does not have a URL.

### getMvValue

    java.lang.String getMvValue(java.lang.String columName)

  Returns a column's missing-value indicator.

  Parameters:
    `columName` - The column name.
  Returns:
    The column's mising-value indicator, or null if the column was not found or is not missing-value enabled.

### getMvRawValue

    java.lang.Object getMvRawValue(java.lang.String columnName)

  Returns the column's missing-value raw value. This is the actual value imported into the database along with the missing-value indicator.

  Parameters:
    `columnName` - The column name.
  Returns:
    The column's mising-value raw value, or null if the column was not found or is not missing-value enabled.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD